/*
 *  $Id: subr.c,v 1.1 1999/06/25 23:50:56 ezk Exp $
 */

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif /* HAVE_CONFIG_H */
#include <fist.h>
#include <lofs.h>

/*
 * add 1 to each byte
 * return the number of bytes written
 */
int
lofs_encode_block(const char *inbuf, char *outbuf, int len)
{
    memcpy(outbuf, inbuf, len);
    return len;
}


/*
 * subtract 1 from each byte
 * return the number of bytes written
 */
int
lofs_decode_block(const char *inbuf, char *outbuf, int len)
{
    memcpy(outbuf, inbuf, len);
    return len;
}

/*
 * Local variables:
 * c-basic-offset: 4
 * End:
 */
